%define gettext_package metacity

Distribution: 	CCux
Packager: 	Karsten Brockmann <arcam@ccux-linux.de>

Name: 		metacity
Version: 	2.22.0
Release: 	1
License: 	GNU/GPL 
Group: 		Graphical Desktop/Metacity
Summary: 	Metacity is a windowmanager for X.
URL: http://ftp.gnome.org/pub/gnome/sources/metacity/
Source0: 	%{name}-%{version}.tar.bz2
# http://bugzilla.gnome.org/show_bug.cgi?id=106249
Patch2: 	skip-taskbar-tab.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=482354
Patch3: 	metacity-2.21.13-dont-move-windows.patch

BuildRoot: 	%{_tmppath}/%{name}-buildroot 
BuildRequires: 	gtk2+-devel
BuildRequires: 	pango-devel
BuildRequires: 	fontconfig-devel
BuildRequires: 	GConf-devel
BuildRequires: 	desktop-file-utils
BuildRequires: 	libglade-devel
BuildRequires: 	intltool
BuildRequires: 	startup-notification-devel
BuildRequires: 	libtool automake autoconf gettext
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	libSM-devel libICE-devel libX11-devel
BuildRequires: 	libXext-devel libXinerama-devel libXrandr-devel libXrender-devel
BuildRequires: 	libXcursor-devel libxcb-devel libpthread-stubs xcb-util-devel

Requires: 	startup-notification
Requires: 	pkg-config

Requires(post): GConf
Requires(pre): GConf
Requires(preun): GConf

%description 
Metacity is a simple window manager that integrates nicely with 
GNOME 2.

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/metacity.schemas > /dev/null || :

%pre 
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
   gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/metacity.schemas > /dev/null || :
fi

%preun 
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
   gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/metacity.schemas > /dev/null || :
fi

%postun -p /sbin/ldconfig


%prep 
%setup -n %{name}-%{version}
%patch2 -p1 -b .skip-taskbar-tab
%patch3 -p0 -b .dont-move-windows


%build
rm -rf $RPM_BUILD_ROOT

CPPFLAGS="$CPPFLAGS -I$RPM_BUILD_ROOT%{_includedir}"
export CPPFLAGS

intltoolize --force
autoreconf

%configure --sysconfdir=%_sysconfdir/gnome --libexecdir=/%_libdir/metacity

SHOULD_HAVE_DEFINED="HAVE_SM HAVE_XINERAMA HAVE_XFREE_XINERAMA HAVE_SHAPE HAVE_RANDR HAVE_STARTUP_NOTIFICATION"

for I in $SHOULD_HAVE_DEFINED; do
  if ! grep -q "define $I" config.h; then
    echo "$I was not defined in config.h"
    grep "$I" config.h
    exit 1
  else
    echo "$I was defined as it should have been"
    grep "$I" config.h
  fi
done

make CPPFLAGS="$CPPFLAGS" LIBS="$LIBS"

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{gettext_package}

%files -f %{gettext_package}.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS HACKING doc/theme-format.txt doc/metacity-theme.dtd
%{_bindir}/*
%{_libdir}/metacity/*
%{_datadir}/gnome/wm-properties/metacity.desktop
%{_datadir}/gnome-control-center/keybindings/*.xml
%{_sysconfdir}/gnome/gconf/schemas/*.schemas
%{_datadir}/metacity
%{_datadir}/themes
%{_includedir}/*
%{_libdir}/lib*.so*
%{_libdir}/lib*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_mandir}/man1/*

%clean 
rm -rf $RPM_BUILD_ROOT 

%changelog 
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.1-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.1-2
- rebuild, moved libexec
* Mon Nov 06 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.1-1
- Version update
* Tue Nov 01 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.13.55-1
- initial releas